Package com.gpudb.protocol
Class AppendRecordsRequest.Options
java.lang.Object
com.gpudb.protocol.AppendRecordsRequest.Options
Enclosing class:
A set of string constants for the
AppendRecordsRequest parameter options.
Optional parameters.
Field Summary
FieldsModifier and TypeFieldDescriptionstatic final StringApplies only when upserting (whenUPDATE_ON_EXISTING_PKisTRUE).static final StringFilter expression to apply to thesourceTableName.static final Stringstatic final StringSpecifies the record collision error-suppression policy for inserting source table records (specified bysourceTableName) into a target table (specified bytableName) with a primary key, only used when not in upsert mode (upsert mode is disabled whenUPDATE_ON_EXISTING_PKisFALSE).static final StringA positive integer indicating the maximum number of results to be returned fromsourceTableName.static final StringA positive integer indicating the number of initial results to skip fromsourceTableName.static final StringComma-separated list of the columns to be sorted by from source table (specified bysourceTableName), e.g., ‘timestamp asc, x desc’.static final StringThe record with higher value for the column resolves the primary-key insert conflict.static final StringThe record with lower value for the column resolves the primary-key insert conflict.static final Stringstatic final StringIf set toTRUE, it allows inserting longer strings into smaller charN string columns by truncating the longer strings to fit.static final StringSpecifies the record collision policy for inserting source table records (specified bysourceTableName) into a target table (specified bytableName) with a primary key.
Field Details
OFFSET
A positive integer indicating the number of initial results to skip fromsourceTableName. Default is 0. The minimum allowed value is 0. The maximum allowed value is MAX_INT. The default value is ‘0’.See Also:LIMIT
A positive integer indicating the maximum number of results to be returned fromsourceTableName. Or END_OF_SET (-9999) to indicate that the max number of results should be returned. The default value is ‘-9999’.See Also:ORDER_BY
Comma-separated list of the columns to be sorted by from source table (specified bysourceTableName), e.g., ‘timestamp asc, x desc’. TheORDER_BYcolumns do not have to be present infieldMap. The default value is ”.See Also:UPDATE_ON_EXISTING_PK
Specifies the record collision policy for inserting source table records (specified bysourceTableName) into a target table (specified bytableName) with a primary key. If set toTRUE, any existing table record with primary key values that match those of a source table record being inserted will be replaced by that new record (the new data will be “upserted”). If set toFALSE, any existing table record with primary key values that match those of a source table record being inserted will remain unchanged, while the source record will be rejected and an error handled as determined byIGNORE_EXISTING_PK. If the specified table does not have a primary key, then this option has no effect. Supported values:TRUE: Upsert new records when primary keys match existing records.FALSE: Reject new records when primary keys match existing records.
FALSE.See Also:ENABLE_INPLACE_UPDATES
Applies only when upserting (whenUPDATE_ON_EXISTING_PKisTRUE). If set toTRUE, an existing record matched by primary key is modified in place. If set toFALSE, it is updated by deleting the existing record and inserting a replacement (delete and insert), which prevents the change from being reflected in dependent materialized views until they are refreshed. Supported values:The default value isTRUE.See Also:IGNORE_EXISTING_PK
Specifies the record collision error-suppression policy for inserting source table records (specified bysourceTableName) into a target table (specified bytableName) with a primary key, only used when not in upsert mode (upsert mode is disabled whenUPDATE_ON_EXISTING_PKisFALSE). If set toTRUE, any source table record being inserted that is rejected for having primary key values that match those of an existing target table record will be ignored with no error generated. IfFALSE, the rejection of any source table record for having primary key values matching an existing target table record will result in an error being raised. If the specified table does not have a primary key or if upsert mode is in effect (UPDATE_ON_EXISTING_PKisTRUE), then this option has no effect. Supported values:TRUE: Ignore source table records whose primary key values collide with those of target table records.FALSE: Raise an error for any source table record whose primary key values collide with those of a target table record.
FALSE.See Also: